Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/drawterm: new aport

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sun, 16 Oct 2016 23:24:54 +0200

---
 testing/drawterm/APKBUILD             | 56 +++++++++++++++++++++++++++++++++++
 testing/drawterm/respect-cflags.patch | 13 ++++++++
 2 files changed, 69 insertions(+)
 create mode 100644 testing/drawterm/APKBUILD
 create mode 100644 testing/drawterm/respect-cflags.patch
diff --git a/testing/drawterm/APKBUILD b/testing/drawterm/APKBUILD
new file mode 100644
index 0000000..3946130
--- /dev/null
+++ b/testing/drawterm/APKBUILD
_at_@ -0,0 +1,56 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+pkgname=drawterm
+pkgver=20161016
+pkgrel=0
+pkgdesc="Connect to Plan 9 CPU servers from other operating systems"
+url="http://drawterm.9front.org/"
+arch="all"
+license="Lucent Public License"
+depends=""
+makedepends="linux-headers libx11-dev libxt-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-dbg"
+source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.gz
+	respect-cflags.patch"
+
+_srcurl="https://code.9front.org/hg/$pkgname"
+_srcrev="4ffe3cdb446d"
+
+builddir="$srcdir"/$pkgname-$pkgver
+snapshot() {
+	mkdir -p "$srcdir" && cd "$srcdir"
+
+	hg clone "$_srcurl" $pkgname-$pkgver || return 1
+	hg --cwd "$pkgname-$pkgver" archive \
+		-t tgz \
+		-X ".hg*" \
+		-r $_srcrev \
+		-p $pkgname-$pkgver/ \
+		"$srcdir"/$pkgname-$pkgver.tar.gz || return 1
+
+	scp "$srcdir"/$pkgname-$pkgver.tar.gz \
+		dev.alpinelinux.org:/archive/$pkgname/ || return 1
+}
+
+build() {
+	CONF=unix make -C "$builddir" || return 1
+}
+
+package() {
+	cd "$builddir"
+	install -Dm755 $pkgname \
+		"$pkgdir"/usr/bin/$pkgname || return 1
+	install -Dm644 README \
+		"$pkgdir"/usr/share/doc/$pkgname/README || return 1
+	install -Dm644 LICENSE \
+		"$pkgdir"/usr/share/licenses/$pkgname/LICENSE \
+		|| return 1
+}
+
+md5sums="d70d65ace5f411910194fdb2bcac1207  drawterm-20161016.tar.gz
+e92b5f3aee4482dad62f1669705c42f9  respect-cflags.patch"
+sha256sums="984e7c3d07c306bdb4e7a00dd30fd3b43c85836c117419ca9fb8f406fba1d107  drawterm-20161016.tar.gz
+dfbe4ef43aefaab8c966b6fd05f7cf304415a0ec9353a43b562eb76c8c8ab6a0  respect-cflags.patch"
+sha512sums="7bc12fb2e8a832d40dbbfe1b51f242f1d2668c3128f90e3f4fd77bcd43da6b17fe899fd69770e8d8e6117825be58c144f4512a83cda7c1dbb695163070c52a94  drawterm-20161016.tar.gz
+bd61f4b3c3de2b86bf35afaf95daed1beac3329e6e0f56e476fcd5607c39b83fc5700b6939c2a095e495be7c7708101e83f70074d3afdef1a58396270c23934f  respect-cflags.patch"
diff --git a/testing/drawterm/respect-cflags.patch b/testing/drawterm/respect-cflags.patch
new file mode 100644
index 0000000..dabf213
--- /dev/null
+++ b/testing/drawterm/respect-cflags.patch
_at_@ -0,0 +1,13 @@
+diff -upr drawterm-20161016.orig/Make.unix drawterm-20161016/Make.unix
+--- drawterm-20161016.orig/Make.unix	2016-10-16 23:17:32.141093131 +0200
++++ drawterm-20161016/Make.unix	2016-10-16 23:17:55.724316992 +0200
+_at_@ -6,7 +6,8 @@ AS=as
+ RANLIB=ranlib
+ X11=/usr/X11R6
+ CC=gcc
+-CFLAGS=-Wall -Wno-missing-braces -ggdb -I$(ROOT) -I$(ROOT)/include -I$(ROOT)/kern -c -I$(X11)/include -D_THREAD_SAFE $(PTHREAD) -O2
++CFLAGS?=-O2
++CFLAGS+=-Wall -Wno-missing-braces -ggdb -I$(ROOT) -I$(ROOT)/include -I$(ROOT)/kern -c -I$(X11)/include -D_THREAD_SAFE $(PTHREAD)
+ O=o
+ OS=posix
+ GUI=x11
-- 
2.10.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Oct 16 2016 - 23:24:54 GMT